/* YaRock Player
* Copyright (C) 2010-2013 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _COVERPROVIDER_DISCOGS_H_
#define _COVERPROVIDER_DISCOGS_H_

#include "coverprovider.h"

#include <QObject>
#include <QString>
#include <QMap>
#include <QByteArray>

/*
********************************************************************************
*                                                                              *
*    Class CoverProvider_Discogs                                               *
*                                                                              *
********************************************************************************
*/   
class CoverProvider_Discogs  : public CoverProvider
{
Q_OBJECT

public:
    CoverProvider_Discogs(QObject* parent);
    
    void set_search(const QString& artist, const QString& album);
    void start_search(int id);

private slots:
    void slot_send_search_request(int id);
    void slot_parse_search_response(QByteArray);
    void slot_parse_discogs_release(QByteArray);
    
    void slot_cover_received(QByteArray);
    void slot_cover_search_stop();

private:
    QString      m_artist;
    QString      m_album;
    QString      m_cover_name;    
    
    QMap<QObject*, int> m_list_requests;
};

#endif // _COVERPROVIDER_DISCOGS_H_
 
