/* YaRock Player
* Copyright (C) 2010-2013 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _DATABASE_H_
#define _DATABASE_H_

#include <QString>
#include <QSqlDatabase>

/*
********************************************************************************
*                                                                              *
*    Class Database                                                            *
*                                                                              *
********************************************************************************
*/ 
class Database 
{
  public:
    Database();
    ~Database();
    
    QSqlDatabase* sqlDb() { return _sqlDb; }
    
    bool connect(QString connection, bool create = false);
    
    QString name() {return dbName;}

    void create();
    
  private:
    QString          dbName;
    QString          dbFile;
    QString          dbRevision;    
    QString          connectionName;
    QSqlDatabase     *_sqlDb;
};

#endif // _DATABASE_H_
