/* YaRock Player
* Copyright (C) 2010-2013 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _SCROBBLER_MANAGER_H_
#define _SCROBBLER_MANAGER_H_

#include "Scrobbler/scrobblerlastfm.h"
#include "EnginePlayer/engineplayer.h"

#include <QObject>


/*
********************************************************************************
*                                                                              *
*    Class ScrobblerManager                                                    *
*                                                                              *
********************************************************************************
*/
class ScrobblerManager : public QObject
{
Q_OBJECT

  public:
    ScrobblerManager(QObject *parent = 0);
    ~ScrobblerManager();

    void settingsChanged();
      
  public slots:
    void loveTrackRequest(QString artist, QString title);
  
  private slots:
    void slotStateChanged();
    void trackChanged();
    
  private:
    LastFm::Scrobbler       *_scrobbler;
    EnginePlayer            *_player;
    ENGINE::E_ENGINE_STATE   _engineOldState;  
};

#endif // _SCROBBLER_MANAGER_H_
