# ------------------------------------------------------------------------------
#  Yarock .pro file for qmake building
# ------------------------------------------------------------------------------
#  Dependancies
#   - taglib development files
#   - X11 lib (needed for Fedora)
#   - QJson
# ------------------------------------------------------------------------------
CONFIG += release
TEMPLATE = app
VERSION = 0.0.60
DEFINES += APP_VERSION="$$VERSION"
# ######## TEST FLAG  
# Faire un make clean si modif du parametre TEST_FLAG
#DEFINES += TEST_FLAG
# ######## 
DESTDIR = build/target/
OBJECTS_DIR = build/obj/
MOC_DIR = build/moc/
RCC_DIR = build/rcc/
TARGET = YaRock
# ------------------------------------------------------------------------------
# LIB
# ------------------------------------------------------------------------------ 
# ltag => OK under Ubuntu/Kunbuntu 
# add X11 lib for qxtglobalshortcut_x11 build (under Fedora)
LIBS += -ltag 
#LIBS += -lX11
LIBS += -lqjson

CONFIG    += link_pkgconfig
PKGCONFIG += taglib

QT += network phonon sql xml dbus

INCLUDEPATH += /usr/include/phonon
INCLUDEPATH += /usr/include/taglib
# ------------------------------------------------------------------------------
# THIRD SOURCE/LIB
# ------------------------------------------------------------------------------ 
include(src3party/qtsingleapplication/qtsingleapplication.pri)
include(src3party/libechonest/libechonest.pri)
include(src3party/qxt/qxt.pri)

# ------------------------------------------------------------------------------
# INCLUDEPATH
# ------------------------------------------------------------------------------ 
INCLUDEPATH += . \
               src \
               src/CentralWidget \
               src/CollectionView \
               src/CollectionModel \
               src/ContextView \
               src/Database \
               src/Dbus \
               src/Dbus/xml \
               src/Dialog \
               src/EnginePlayer \
               src/GraphicViewWidget \
               src/Histo \
               src/MediaItem \
               src/MediaSearch \
               src/NowPlaying \
               src/Playlist \
               src/RadioView \
               src/StreamModel \
               src/Scrobbler \
               src/SmartPlaylist \
               src/Settings \
               src/Web \
               src/Widget

# ------------------------------------------------------------------------------
# DEPENDPATH
# ------------------------------------------------------------------------------ 
DEPENDPATH += INCLUDEPATH 
DEPENDPATH += translation

# ------------------------------------------------------------------------------
# HEADERS
# ------------------------------------------------------------------------------ 
HEADERS += src/commandlineoptions.h \
           src/constants.h \
           src/debug.h \           
           src/global_actions.h \
           src/globalshortcuts.h \
           src/mainwindow.h \
           src/networkaccess.h \
           src/qpixmapfilter.h \
           src/threadmanager.h \
           src/utilities.h \
           src/viewmode.h \
           src/yarocksettings.h \
           src/AlbumCover/coverprovider.h \
           src/AlbumCover/coverprovider_discogs.h \
           src/AlbumCover/coverprovider_lastfm.h \
           src/AlbumCover/coverthread.h \           
           src/CentralWidget/centraltoolbar.h \
           src/CentralWidget/centralwidget.h \
           src/CentralWidget/menuitem.h \
           src/CentralWidget/menumodel.h \
           src/CentralWidget/menuview.h \
           src/CentralWidget/navigatorbar.h \
           src/CollectionModel/collectionmodel.h \
           src/CollectionModel/collectionpopulator.h \
           src/CollectionModel/histomodel.h \
           src/CollectionModel/plsfilemodel.h \
           src/CollectionModel/plsfilepopulator.h \
           src/CollectionView/button_item.h \
           src/CollectionView/collectionscene.h \
           src/CollectionView/graphicitem.h \
           src/CollectionView/graphicitem_menu.h \
           src/CollectionView/virtualplayqueue.h \
           src/ContextView/widget/context_graphicitem.h \
           src/ContextView/widget/context_widget.h \
           src/ContextView/contextscene.h \
           src/ContextView/provider_base.h     \
           src/ContextView/provider_discogs.h  \
           src/ContextView/provider_lyrics.h   \
           src/ContextView/provider_lastfm.h   \
           src/ContextView/provider_echonest.h \           
           src/ContextView/lyricseditor.h \
           src/ContextView/ultimatelyricsprovider.h\
           src/ContextView/ultimatelyricsreader.h \
           src/Database/database.h \
           src/Database/databasebuilder.h \
           src/Database/databasemanager.h \
           src/Dbus/dbusnotification.h \
           src/Dbus/mpris_common.h \
           src/Dbus/mpris1.h \
           src/Dialog/aboutdialog.h \
           src/Dialog/addstreamdialog.h \
           src/Dialog/dboperationdialog.h \
           src/Dialog/mediaitem_edit_dialog.h \
           src/Dialog/shortcutdialog.h \
           src/EnginePlayer/engineplayer.h \
           src/GraphicViewWidget/graphicviewwidget.h \
           src/Histo/histomanager.h \
           src/MediaItem/mediaitem.h \
           src/MediaItem/mediamimedata.h \
           src/MediaItem/playlist_parser.h \
           src/MediaSearch/media_search.h \
           src/MediaSearch/media_search_engine.h \
           src/MediaSearch/media_search_dialog.h \
           src/MediaSearch/search_query.h \
           src/MediaSearch/search_query_widget.h \
           src/NowPlaying/nowplayingview.h \
           src/Playlist/playlistdbwriter.h \
           src/Playlist/playlisteditor.h \
           src/Playlist/playlistmodel.h \
           src/Playlist/playlistpopulator.h \
           src/Playlist/playlistview.h \
           src/Playlist/playlistwidget.h \
           src/Playlist/playlistwriter.h \
           src/StreamModel/icecastmanager.h \
           src/StreamModel/shoutcastmanager.h \
           src/StreamModel/streammodel.h \
           src/StreamModel/xspfstreamlist.h \
           src/StreamView/stream_scene.h \
           src/StreamView/stream_editor.h \
           src/Scrobbler/scrobblerlastfm.h \
           src/Scrobbler/scrobblermanager.h \
           src/SmartPlaylist/smartplaylist.h \
           src/Settings/settings_scene.h \
           src/Settings/settings_widget.h \
           src/Widget/audiocontrols.h \
           src/Widget/customsplitter.h \
           src/Widget/equalizer_dialog.h \
           src/Widget/equalizer_preset.h \
           src/Widget/equalizer_slider.h \
           src/Widget/lineeditclear.h \
           src/Widget/minimalwidget.h \
           src/Widget/playertoolbar.h \
           src/Widget/ratingwidget.h \
           src/Widget/seekslider.h \
           src/Widget/spacer.h \
           src/Widget/splittercollapser.h \
           src/Widget/statuswidget.h


SOURCES += src/global_actions.cpp \
           src/commandlineoptions.cpp \
           src/debug.cpp \
           src/main.cpp \
           src/mainwindow.cpp \
           src/networkaccess.cpp \           
           src/globalshortcuts.cpp \
           src/qpixmapfilter.cpp \
           src/threadmanager.cpp \
           src/utilities.cpp \
           src/yarocksettings.cpp \
           src/AlbumCover/coverprovider.cpp \
           src/AlbumCover/coverprovider_discogs.cpp \
           src/AlbumCover/coverprovider_lastfm.cpp \
           src/AlbumCover/coverthread.cpp \           
           src/CentralWidget/centraltoolbar.cpp \
           src/CentralWidget/centralwidget.cpp \
           src/CentralWidget/menuitem.cpp \
           src/CentralWidget/menumodel.cpp \
           src/CentralWidget/menuview.cpp \
           src/CentralWidget/navigatorbar.cpp \
           src/CollectionModel/collectionmodel.cpp \
           src/CollectionModel/collectionpopulator.cpp \
           src/CollectionModel/histomodel.cpp \
           src/CollectionModel/plsfilemodel.cpp \
           src/CollectionModel/plsfilepopulator.cpp \
           src/CollectionView/collectionscene.cpp \
           src/CollectionView/collectionscene_dashboard.cpp \
           src/CollectionView/collectionscene_playing.cpp \
           src/CollectionView/collectionscene_playqueue.cpp \
           src/CollectionView/button_item.cpp \
           src/CollectionView/graphicitem.cpp \
           src/CollectionView/graphicitem_menu.cpp \
           src/CollectionView/virtualplayqueue.cpp \
           src/ContextView/widget/context_graphicitem.cpp \
           src/ContextView/widget/context_widget.cpp \
           src/ContextView/contextscene.cpp \
           src/ContextView/provider_base.cpp  \
           src/ContextView/provider_discogs.cpp  \
           src/ContextView/provider_lyrics.cpp   \
           src/ContextView/provider_lastfm.cpp   \
           src/ContextView/provider_echonest.cpp \           
           src/ContextView/lyricseditor.cpp \
           src/ContextView/ultimatelyricsprovider.cpp \
           src/ContextView/ultimatelyricsreader.cpp   \
           src/Database/database.cpp \
           src/Database/databasebuilder.cpp \
           src/Database/databasemanager.cpp \
           src/Dbus/dbusnotification.cpp \           
           src/Dbus/mpris1.cpp \
           src/Dialog/aboutdialog.cpp \
           src/Dialog/addstreamdialog.cpp \           
           src/Dialog/dboperationdialog.cpp \
           src/Dialog/mediaitem_edit_dialog.cpp \
           src/Dialog/shortcutdialog.cpp \
           src/EnginePlayer/engineplayer.cpp \
           src/GraphicViewWidget/graphicviewwidget.cpp \
           src/Histo/histomanager.cpp \
           src/MediaItem/mediaitem.cpp \
           src/MediaItem/mediaitem_replaygain.cpp \
           src/MediaItem/mediaitem_statistic.cpp \
           src/MediaItem/mediamimedata.cpp \
           src/MediaItem/playlist_parser.cpp \           
           src/MediaSearch/media_search.cpp \
           src/MediaSearch/media_search_engine.cpp \
           src/MediaSearch/media_search_dialog.cpp \
           src/MediaSearch/search_query.cpp \
           src/MediaSearch/search_query_widget.cpp \
           src/NowPlaying/nowplayingview.cpp \
           src/Playlist/playlistdbwriter.cpp \
           src/Playlist/playlisteditor.cpp \
           src/Playlist/playlistmodel.cpp \
           src/Playlist/playlistpopulator.cpp \
           src/Playlist/playlistview.cpp \
           src/Playlist/playlistwidget.cpp \
           src/Playlist/playlistwriter.cpp \
           src/StreamModel/icecastmanager.cpp \
           src/StreamModel/shoutcastmanager.cpp \
           src/StreamModel/streammodel.cpp \
           src/StreamModel/xspfstreamlist.cpp \
           src/StreamView/stream_scene.cpp \
           src/StreamView/stream_editor.cpp \           
           src/Scrobbler/scrobblerlastfm.cpp \
           src/Scrobbler/scrobblermanager.cpp \
           src/SmartPlaylist/smartplaylist.cpp \
           src/Settings/settings_scene.cpp \           
           src/Settings/settings_widget.cpp \
           src/Widget/audiocontrols.cpp \
           src/Widget/customsplitter.cpp \
           src/Widget/equalizer_dialog.cpp \
           src/Widget/equalizer_preset.cpp \
           src/Widget/equalizer_slider.cpp \
           src/Widget/lineeditclear.cpp \           
           src/Widget/minimalwidget.cpp \
           src/Widget/playertoolbar.cpp \
           src/Widget/ratingwidget.cpp \
           src/Widget/seekslider.cpp \
           src/Widget/spacer.cpp \
           src/Widget/splittercollapser.cpp \
           src/Widget/statuswidget.cpp

# ------------------------------------------------------------------------------
# RESSOURCES
# ------------------------------------------------------------------------------ 
RESOURCES += yarock.qrc
RESOURCES += translation/translation.qrc

# ------------------------------------------------------------------------------
# TRANSLATIONS
# ------------------------------------------------------------------------------ 
TRANSLATIONS    += translation/yarock_cs.ts     \
                   translation/yarock_de.ts     \
                   translation/yarock_es.ts     \
                   translation/yarock_fr.ts     \
                   translation/yarock_gl.ts     \
                   translation/yarock_pt_BR.ts  \
                   translation/yarock_ro.ts     \
                   translation/yarock_ru.ts     \
                   translation/yarock_tr_TR.ts


CODECFORTR  = UTF-8
CODECFORSRC = UTF-8

# ------------------------------------------------------------------------------
# DEPLOYMENT
# ------------------------------------------------------------------------------ 
unix {
  isEmpty(PREFIX):PREFIX = /usr/local
  SHAREDIR   = $$PREFIX/share
  BINDIR     = $$PREFIX/bin
  LOCALEDIR =  $$SHAREDIR/locale/YaRock
  PKGDATADIR = $$SHAREDIR/YaRock

  DEFINES += LOCALEDIR=\\\"$$LOCALEDIR\\\"
  DEFINES += PKGDATADIR=\\\"$$PKGDATADIR\\\"

  INSTALLS += target
  target.path = $$BINDIR

  INSTALLS += desktop \
              translations \
              radio   \
              icon16  \
              icon32  \
              icon48  \
              icon64  \
              icon128 
  translations.path = $$LOCALEDIR
  
  translations.files = translation/yarock_cs.qm     \
                       translation/yarock_de.qm     \
                       translation/yarock_es.qm     \
                       translation/yarock_fr.qm     \
                       translation/yarock_gl.qm     \
                       translation/yarock_pt_BR.qm  \
                       translation/yarock_ro.qm     \
                       translation/yarock_ru.qm     \
                       translation/yarock_tr_TR.qm
  
  desktop.path = $$SHAREDIR/applications
  desktop.files += data/yarock.desktop
  
  radio.path = $$PKGDATADIR
  
  icon16.path = $$SHAREDIR/icons/hicolor/16x16/apps
  icon16.files += icon/16x16/yarock.png
  icon32.path = $$SHAREDIR/icons/hicolor/32x32/apps
  icon32.files += icon/32x32/yarock.png
  icon48.path = $$SHAREDIR/icons/hicolor/48x48/apps
  icon48.files += icon/48x48/yarock.png
  icon64.path = $$SHAREDIR/icons/hicolor/64x64/apps
  icon64.files += icon/64x64/yarock.png
  icon128.path = $$SHAREDIR/icons/hicolor/128x128/apps
  icon128.files += icon/128x128/yarock.png
}

